<template>
    <div :class="{ hide: !this.verAlert }" class="modal hidde">
      <div class="modal-content">
        <h3
          class="mb-4 text-4xl font-extrabold leading-none tracking-tight text-gray-900 sm:text-1xl md:text-3xl lg:text-4xl dark:text-lime-500 text-center">
          {{ this.textAlert }}</h3>
      </div>
    </div>
</template>
    
<script>
export default {
    name: 'AlertComponent',
    data: function(){
        return{
          verAlert: false,
          textAlert:'',
        }
    },
    created() {
        let me = this;
        /*Al crear el componente, declaramos una escucha en el evento VisibleAlert, que se ejecutará si algún
        componente envia un evento con este nombre*/
        this.$root.$on('VisibleAlert', (visible, texto)=>{
            me.verAlert = visible;
            me.textAlert = texto;
        });
    },
}
</script>
<style scoped>
.modal {
  position: fixed;
  z-index: 1;
  padding-top: 30%;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.801);
  background-color: rgba(107, 107, 107, 0.89);
}
.hide {
  visibility: hidden !important;
}
</style>